Subject: Re: bug#29642: guix 0.14.0 cannot use HTTPS with guile 2.0
From: [email-masked] (Ludovic Courtès)
To: ng0 <[email-masked]>
Cc: 藍挺瑋 <[email-masked]>, [email-masked]
Date: Mon, 11 Dec 2017 10:41:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

ng0 <[email-masked]> skribis:

> 藍挺瑋 transcribed 1.7K bytes:
>> This problem happens on Fedora 27, which uses Guile 2.0.14.
>
> Do we still support building with guile 2.0?

Yes.

>> If I revert commit 866f37f, this problem can be avoided. The commit
>> (download: Improve efficiency of 'write-request' over TLS.) added the
>> following code to guix/build/download.scm:
>> 
>> (cond-expand
>>   (guile-2.0 #f)
>>   (else (setvbuf record 'line)))
>> 
>> The info page of guile doesn't list 'guile-2.0' feature. I know there is
>> a feature called 'guile-2.2', but I cannot find 'guile-2.0'.

This is correct, 藍挺瑋.  This has been fixed here:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7f04197fef905790fd392f8d686d00ae95a0d04c

Thanks,
Ludo’.